## Apache Zeta Components Manual :: Docs For Class ezcBaseMetaData

### Base::ezcBaseMetaData

### Class ezcBaseMetaData

Base class implements ways of fetching information about the installed eZ Components. It knows whether to use the PEAR registry or the bundled XML file, depending on how eZ Components is installed.

Source for this file: /Base/src/metadata.php

Version: | //autogentag//

### Method Summary

public ezcBaseMetaData | `__construct( [ $installMethod = NULL] )` Creates a ezcBaseMetaData object
public string | `getBundleVersion( )` Returns the version string for the installed eZ Components bundle.
public array(string=>string). | `getComponentDependencies( [ $componentName = null] )` Returns a list of components that $componentName depends on.
public string | `getComponentVersion( $componentName )` Returns the version string of the available $componentName or false when the component is not installed.
public string | `getRequiredPhpVersion( )` Returns a PHP version string that describes the required PHP version for this installed eZ Components bundle.
public bool | `isComponentInstalled( $componentName )` Returns whether $componentName is installed

### Methods

#### __construct

ezcBaseMetaData __construct( [string $installMethod = NULL] )

Creates a ezcBaseMetaData object

The sole parameter $installMethod should only be used if you are really sure that you need to use it. It is mostly there to make testing at least slightly possible. Again, do not set it unless instructed.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$installMethod` | string |

#### getBundleVersion

string getBundleVersion( )

Returns the version string for the installed eZ Components bundle.

A version string such as "2008.2.2" is returned.

#### getComponentDependencies

array(string=>string). getComponentDependencies( [ $componentName = null] )

Returns a list of components that $componentName depends on.

If $componentName is left empty, all installed components are returned.

The returned array has as keys the component names, and as values the version of the components.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$componentName` |  |

#### getComponentVersion

string getComponentVersion( $componentName )

Returns the version string of the available $componentName or false when the component is not installed.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$componentName` |  |

#### getRequiredPhpVersion

string getRequiredPhpVersion( )

Returns a PHP version string that describes the required PHP version for this installed eZ Components bundle.

#### isComponentInstalled

bool isComponentInstalled( $componentName )

Returns whether $componentName is installed

If installed with PEAR, it checks the PEAR registry whether the component is there. In case the tarball installation method is used, it will return true for every component that exists (because all of them are then available).

##### Parameters:

Name | Type | Description
--- | --- | ---
`$componentName` |  |

Documentation generated by phpDocumentor 1.4.3